# vim: set ft=spec: -*- rpm-spec -*-

Name: ruby-gnome2-all
Version: 0.16.0
Release: alt7.M41.2

Summary: Ruby bindings for GNOME-2.x
Group: Development/Ruby
License: LGPL
Url: http://ruby-gnome2.sourceforge.jp/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

Obsoletes: ruby-gnome2-full
Requires: libruby >= 1.8-alt3

%global reqpkg() %{expand:Requires: ruby-%%{1} = %%version-%%release}

%reqpkg glib2
%reqpkg gdkpixbuf2
%reqpkg pango
%reqpkg atk
%reqpkg gtk2
%reqpkg bonobo2
%reqpkg bonoboui2
%reqpkg gconf2
%reqpkg gnome2
%reqpkg gnomecanvas2
%reqpkg gnomeprint2
%reqpkg gnomeprintui2
%reqpkg gnomevfs
%reqpkg gst
%reqpkg gtkglext
%reqpkg gtkhtml2
#reqpkg gtkmozembed
%reqpkg gtksourceview
%reqpkg libart2
%reqpkg libglade2
%reqpkg panelapplet2
%reqpkg rsvg2
%reqpkg vte

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): rpm-build-ruby
# Automatically added by buildreq on Sun Mar 30 2008 (-bi)
BuildRequires: gst-plugins-devel libgnome-panel-devel libgnomeprintui-devel libgtkglext-devel libgtkhtml2-devel libgtksourceview1-devel libjpeg-devel libmesa-devel librsvg-devel libvte-devel rcairo-devel ruby-module-etc xulrunner-devel

%description
This project is a set of Ruby language bindings for the various
application development libraries included with the GNOME/GTK+
environment. This project is for GTK+2.0 or later.

This is a virtual package which requires all ruby-gnome2 modules.

%package -n ruby-gnome2-samples
Summary: Sample scripts for ruby-gnome2 project
Group: Development/Ruby
Requires: ruby ruby-stdlibs

%description -n ruby-gnome2-samples
This package contains sample scripts for ruby-gnome2 project.

You should install appropriate modules in order to run this scripts.

%package -n ruby-glib2
Summary: Ruby bindings for Glib-2.x
Group: Development/Ruby
#Requires: ruby-gettext

%description -n ruby-glib2
Ruby/GLib2 is a Ruby binding of GLib-2.x.

It is recommended to install ruby-gettext.

%package -n ruby-glib2-devel
Summary: Development files for Ruby/GLib2
Group: Development/Ruby
PreReq: libruby-devel
Requires: libruby-devel
Requires: ruby-module-shell
%reqpkg glib2

%description -n ruby-glib2-devel
Development files for Ruby/GLib2.

%package -n ruby-gdkpixbuf2
Summary: Ruby bindings for GdkPixbuf-2.x
Group: Development/Ruby

%description -n ruby-gdkpixbuf2
Ruby/GdkPixbuf2 is a Ruby binding of GdkPixbuf-2.x.

%package -n ruby-pango
Summary: Ruby bindings for pango-1.x
Group: Development/Ruby

%description -n ruby-pango
Ruby/Pango is a Ruby binding of pango-1.x.

%package -n ruby-pango-devel
Summary: Development files for Ruby/Pango
Group: Development/Ruby
PreReq: libruby-devel
Requires: rcairo-devel
%reqpkg pango
%reqpkg glib2-devel

%description -n ruby-pango-devel
Development files for Ruby/Pango.

%package -n ruby-atk
Summary: Ruby bindings for ATK-1.0.x
Group: Development/Ruby

%description -n ruby-atk
Ruby/ATK is a Ruby binding of ATK-1.0.x or later.

%package -n ruby-atk-devel
Summary: Development files for Ruby/ATK
Group: Development/Ruby
PreReq: libruby-devel
%reqpkg atk
%reqpkg glib2-devel

%description -n ruby-atk-devel
Development files for Ruby/ATK.

%package -n ruby-gtk2
Summary: Ruby bindings for GTK+-2.0.x
Group: Development/Ruby

%description -n ruby-gtk2
Ruby/GTK2 is a Ruby binding of GTK+-2.0.x.

%package -n ruby-gtk2-devel
Summary: Development files for Ruby/GTK2
Group: Development/Ruby
PreReq: libruby-devel
Requires: rcairo-devel
%reqpkg glib2-devel
%reqpkg gtk2
%reqpkg pango-devel

%description -n ruby-gtk2-devel
Development files for Ruby/GTK2.

%package -n ruby-bonobo2
Summary: Ruby bindings for libbonobo-2.x
Group: Development/Ruby

%description -n ruby-bonobo2
Ruby/Bonobo2 is a Ruby binding of libbonobo-2.x.

%package -n ruby-bonoboui2
Summary: Ruby bindings for libbonoboui-2.x
Group: Development/Ruby

%description -n ruby-bonoboui2
Ruby/BonoboUI2 is a Ruby binding of libbonoboui-2.x.

%package -n ruby-gconf2
Summary: Ruby bindings for GConf-1.2.x
Group: Development/Ruby

%description -n ruby-gconf2
Ruby/GConf2 is a Ruby binding of GConf-1.2.x.

%package -n ruby-gnome2
Summary: Ruby bindings for libgnome/libgnomeui-2.x
Group: Development/Ruby

%description -n ruby-gnome2
Ruby/GNOME2 is a Ruby binding of libgnome/libgnomeui-2.x.

%package -n ruby-gnomecanvas2
Summary: Ruby bindings for GnomeCanvas-2.x
Group: Development/Ruby

%description -n ruby-gnomecanvas2
Ruby/GnomeCanvas2 is a Ruby binding of GnomeCanvas-2.x.

%package -n ruby-gnomeprint2
Summary: Ruby bindings for libgnomeprint
Group: Development/Ruby
Obsoletes: ruby-gnomeprint

%description -n ruby-gnomeprint2
Ruby/GnomePrint is a Ruby binding of libgnomeprint.

%package -n ruby-gnomeprintui2
Summary: Ruby bindings for libgnomeprintui
Group: Development/Ruby
Obsoletes: ruby-gnomeprintui

%description -n ruby-gnomeprintui2
Ruby/GnomePrintUI is a Ruby binding of libgnomeprintui.

%package -n ruby-gnomevfs
Summary: Ruby bindings for GnomeVFS-2.0.x
Group: Development/Ruby
Obsoletes: ruby-gnomevfs2

%description -n ruby-gnomevfs
Ruby/GnomeVFS is a Ruby binding of GnomeVFS-2.0.x.

%package -n ruby-gst
Summary: Ruby bindings for GStreamer
Group: Development/Ruby

%description -n ruby-gst
Ruby/GStreamer is a Ruby binding for GStreamer.

%package -n ruby-gtkglext
Summary: Ruby bindings for GtkGLExt
Group: Development/Ruby
Requires: ruby-opengl

%description -n ruby-gtkglext
Ruby/GtkGLExt is a Ruby binding of GtkGLExt.

%package -n ruby-gtkhtml2
Summary: Ruby bindings for GtkHtml2
Group: Development/Ruby

%description -n ruby-gtkhtml2
Ruby/GtkHtml2 is a Ruby binding of GtkHtml2.

#package -n ruby-gtkmozembed
#Summary: Ruby bindings for GtkMozEmbed
#Group: Development/Ruby

#description -n ruby-gtkmozembed
#Ruby/GtkMozEmbed is a Ruby binding of GtkMozEmbed a widget embedding a
#Mozilla Gecko renderer.

%package -n ruby-gtksourceview
Summary: Ruby bindings for gtksourceview-1.0.x
Group: Development/Ruby

%description -n ruby-gtksourceview
Ruby/GtkSourceView is a Ruby binding of gtksourceview-1.0.x.

%package -n ruby-libart2
Summary: Ruby bindings for Libart_lgpl
Group: Development/Ruby
Obsoletes: ruby-libart

%description -n ruby-libart2
Ruby/Libart2 is a Ruby binding of Libart_lgpl.

%package -n ruby-libart2-devel
Summary: Development files for Ruby/Libart2
Group: Development/Ruby
PreReq: libruby-devel
%reqpkg libart2

%description -n ruby-libart2-devel
Development files for Ruby/Libart2.

%package -n ruby-libglade2
Summary: Ruby bindings for Libglade2
Group: Development/Ruby

%description -n ruby-libglade2
Ruby/Libglade2 is a Ruby bindings of Libglade2.
This provides a very simple interface to the libglade library,
to load interfaces dynamically from a glade file.

%package -n ruby-libglade2-devel
Summary: Development files for Ruby/Libglade2
Group: Development/Ruby
Requires: ruby
Requires: ruby-module-rexml
%reqpkg libglade2

%description -n ruby-libglade2-devel
Development files for Ruby/Libglade2.

This packagee contains ruby-glade-create-template utility.

%package -n ruby-panelapplet2
Summary: Ruby bindings for libpanel-applet-2.6.x
Group: Development/Ruby
Obsoletes: ruby-gnomepanel-applet

%description -n ruby-panelapplet2
Ruby/PanelApplet2 is a Ruby binding of libpanel-applet-2.6.x.

%package -n ruby-rsvg2
Summary: Ruby bindings for librsvg
Group: Development/Ruby
Obsoletes: ruby-rsvg

%description -n ruby-rsvg2
Ruby/RSVG is a Ruby binding of librsvg.

%package -n ruby-vte
Summary: Ruby bindings for VTE
Group: Development/Ruby

%description -n ruby-vte
Ruby/VTE is a Ruby binding of VTE.

%prep
%setup -q
%patch -p1

# Unsupported.  Last commit 2005-12-05 19:41:20
rm -rf libgda
# Permanently b0rken
rm -rf poppler

%build
export RUBYOPT=-rvendor-specific
%ruby_configure --strict
%make_build

%install
%make_install DESTDIR=%buildroot install
# We don't need win32 hacks
rm -f %buildroot%ruby_sitelibdir/libart2.rb

mkdir samples
cp -rp gconf/sample samples/gconf2
cp -rp gdkpixbuf/sample samples/gdkpixbuf2
cp -rp glib/sample samples/glib2
cp -rp gnomecanvas/sample samples/gnomecanvas2
cp -rp gnomeprint/sample samples/gnomeprint2
cp -rp gnomeprintui/sample samples/gnomeprintui2
cp -rp gnome/sample samples/gnome2
cp -rp gstreamer/sample samples/gst
cp -rp gtkglext/sample samples/gtkglext
cp -rp gtkhtml2/sample samples/gtkhtml2
cp -rp gtkmozembed/sample samples/gtkmozembed
cp -rp gtk/sample samples/gtk2
cp -rp gtksourceview/sample samples/gtksourceview
cp -rp libart/sample samples/libart2
cp -rp libglade/sample samples/libglade2
cp -rp panel-applet/sample samples/panelapplet2
cp -rp pango/sample samples/pango
cp -rp rsvg/sample samples/rsvg2
cp -rp vte/sample samples/vte

%files

%files -n ruby-gnome2-samples
%doc AUTHORS ChangeLog NEWS README
%doc samples/*

%files -n ruby-glib2
%doc glib/README
%ruby_sitearchdir/glib2.so
%ruby_sitelibdir/glib2.rb

%files -n ruby-glib2-devel
%_includedir/ruby/*/rbgcompat.h
%_includedir/ruby/*/rbglib.h
%_includedir/ruby/*/rbgutil.h
%_includedir/ruby/*/rbgobject.h
%ruby_sitelibdir/glib-mkenums.rb
%ruby_sitelibdir/mkmf-gnome2.rb
%ruby_sitelibdir/pkg-config.rb

%files -n ruby-gdkpixbuf2
%doc gdkpixbuf/README
%ruby_sitearchdir/gdk_pixbuf2.so
%ruby_sitelibdir/gdk_pixbuf2.rb

%files -n ruby-pango
%doc pango/README
%ruby_sitearchdir/pango.so
%ruby_sitelibdir/pango.rb

%files -n ruby-pango-devel
%_includedir/ruby/*/rbpango.h
%_includedir/ruby/*/rbpangoversion.h

%files -n ruby-atk
%doc atk/README
%ruby_sitearchdir/atk.so
%ruby_sitelibdir/atk.rb

%files -n ruby-atk-devel
%_includedir/ruby/*/rbatk.h
%_includedir/ruby/*/rbatkversion.h

%files -n ruby-gtk2
%doc gtk/README
%ruby_sitearchdir/gtk2.so
%ruby_sitelibdir/gtk2.rb
%dir %ruby_sitelibdir/gtk2
%ruby_sitelibdir/gtk2/base.rb

%files -n ruby-gtk2-devel
%_includedir/ruby/*/rbgtk.h

%files -n ruby-bonobo2
%ruby_sitearchdir/bonobo2.so
%ruby_sitelibdir/bonobo2.rb

%files -n ruby-bonoboui2
%ruby_sitearchdir/bonoboui2.so
%ruby_sitelibdir/bonoboui2.rb

%files -n ruby-gconf2
%doc gconf/README
%ruby_sitearchdir/gconf2.so
%ruby_sitelibdir/gconf2.rb

%files -n ruby-gnome2
%doc gnome/README
%ruby_sitearchdir/gnome2.so
%ruby_sitelibdir/gnome2.rb

%files -n ruby-gnomecanvas2
%doc gnomecanvas/README
%ruby_sitearchdir/gnomecanvas2.so
%ruby_sitelibdir/gnomecanvas2.rb

%files -n ruby-gnomeprint2
%doc gnomeprint/README
%ruby_sitearchdir/gnomeprint2.so
%ruby_sitelibdir/gnomeprint2.rb

%files -n ruby-gnomeprintui2
%doc gnomeprintui/README
%ruby_sitearchdir/gnomeprintui2.so
%ruby_sitelibdir/gnomeprintui2.rb

%files -n ruby-gnomevfs
%doc gnomevfs/README
%ruby_sitearchdir/gnomevfs.so
%ruby_sitelibdir/gnomevfs.rb

%files -n ruby-gst
%ruby_sitearchdir/gst.so
%ruby_sitelibdir/gst.rb

%files -n ruby-gtkglext
%doc gtkglext/README
%ruby_sitearchdir/gtkglext.so
%ruby_sitelibdir/gtkglext.rb

%files -n ruby-gtkhtml2
%doc gtkhtml2/README
%ruby_sitearchdir/gtkhtml2.so
%ruby_sitelibdir/gtkhtml2.rb

#files -n ruby-gtkmozembed
#doc gtkmozembed/README
#ruby_sitearchdir/gtkmozembed.so
#ruby_sitelibdir/gtkmozembed.rb

%files -n ruby-gtksourceview
%doc gtksourceview/README
%ruby_sitearchdir/gtksourceview.so
%ruby_sitelibdir/gtksourceview.rb

%files -n ruby-libart2
%doc libart/README
%ruby_sitearchdir/libart2.so

%files -n ruby-libart2-devel
%_includedir/ruby/*/rbart.h

%files -n ruby-libglade2
%doc libglade/README
%ruby_sitearchdir/libglade2.so
%ruby_sitelibdir/libglade2.rb

%files -n ruby-libglade2-devel
%_bindir/ruby-glade-create-template

%files -n ruby-panelapplet2
%doc panel-applet/README
%ruby_sitearchdir/panelapplet2.so
%ruby_sitelibdir/panelapplet2.rb

%files -n ruby-rsvg2
%doc rsvg/README
%ruby_sitearchdir/rsvg2.so
%ruby_sitelibdir/rsvg2.rb

%files -n ruby-vte
%doc vte/README
%ruby_sitearchdir/vte.so
%ruby_sitelibdir/vte.rb

%changelog
* Mon Aug 04 2008 Alexey Rusakov <ktirf@altlinux.org> 0.16.0-alt7.M41.2
- got rid of gtkmozembed properly

* Fri Aug 01 2008 Alexey Rusakov <ktirf@altlinux.org> 0.16.0-alt7.M41.1
- switched to xulrunner (hello, Firefox 3)

* Sun May 25 2008 Sir Raorn <raorn@altlinux.ru> 0.16.0-alt7
- Updated to trunk r3231
- Disabled poppler (permanently b0rken)

* Sun Mar 30 2008 Sir Raorn <raorn@altlinux.ru> 0.16.0-alt6
- Updated to trunk r2901
- New packages:
 + bonobo2
 + bonoboui2
 + gst

* Mon Jan 21 2008 Sir Raorn <raorn@altlinux.ru> 0.16.0-alt5
- Package libgtksourceview 1.8.x renamed to libgtksourceview1

* Mon Oct 08 2007 Sir Raorn <raorn@altlinux.ru> 0.16.0-alt4
- CVS snapshot 20071004
 + Fixed build with new glib2
 + Fixed build with poppler 0.6
 + ruby 1.9 compatibility fixes

* Fri Feb 02 2007 Sir Raorn <raorn@altlinux.ru> 0.16.0-alt3
- Obsolete old package names.  No provides added since depentant
  packages needs to be rebuilt

* Sat Jan 27 2007 Sir Raorn <raorn@altlinux.ru> 0.16.0-alt2
- gtk2-devel should depend on gtk2
- ruby-gettext is recommended for glib2, mention it in description

* Fri Jan 26 2007 Sir Raorn <raorn@altlinux.ru> 0.16.0-alt1
- Built for Sisyphus

